Comment 15 for bug 64615

Michael Vogt (mvo) wrote :

It looks like authdaemond wants to exec courrierlogger which is no longer available in the latest courier-base package:

Preparing to replace courier-authdaemon 0.47-13ubuntu5.1 (using .../courier-authdaemon_0.58-4ubuntu1_i386.deb) ...
 * Stopping Courier authdaemon...
 * Stopping Courier authdaemon... /usr/lib/courier/authlib/authdaemond: line 31: /usr/sbin/courierlogger: No such file or directory
/usr/lib/courier/authlib/authdaemond: line 31: exec: /usr/sbin/courierlogger: cannot execute: No such file or directory
                                                                         [fail]
invoke-rc.d: initscript courier-authdaemon, action "stop" failed.
dpkg: warning - old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
/usr/lib/courier/authlib/authdaemond: line 31: /usr/sbin/courierlogger: No such file or directory
invoke-rc.d: initscript courier-authdaemon, action "start" failed.
dpkg: error while cleaning up:
 subprocess post-installation script returned error exit status 1
Selecting previously deselected package courier-authlib.
dpkg: regarding .../courier-authlib_0.58-4ubuntu1_i386.deb containing courier-authlib:
 courier-authlib conflicts with courier-authdaemon (<< 0.58)
  courier-authdaemon (version 0.47-13ubuntu5.1) is broken due to postinst failure.
dpkg: error processing /var/cache/apt/archives/courier-authlib_0.58-4ubuntu1_i386.deb (--unpack):
 conflicting packages - not installing courier-authlib